Cyberduck Mountain Duck CLI

#8352 closed defect (fixed)

Empty key error message when using no numerical project id

Reported by: arturkohut Owned by: dkocher
Priority: high Milestone: 4.6.1
Component: google-storage Version: 4.6
Severity: normal Keywords:
Cc: Architecture:
Platform: Windows 8.1

Description (last modified by arturkohut)

Hello.

When I press "New connection" on Cyberduck, type my x-goog-project-id and finally press on generated link above I getting text on new Chrome tab (see second-step.png):

<Error>
<Code>MissingSecurityHeader</Code>
<Message>Your request was missing a required header.</Message>
<Details>Authorization</Details>
</Error>

and nothing happens.

Attachments (2)

second-step.png (22.1 KB) - added by arturkohut on Nov 21, 2014 at 3:55:20 PM.
first-step.png (11.6 KB) - added by arturkohut on Nov 21, 2014 at 3:55:29 PM.

Download all attachments as: .zip

Change History (15)

Changed on Nov 21, 2014 at 3:55:20 PM by arturkohut

Changed on Nov 21, 2014 at 3:55:29 PM by arturkohut

comment:1 Changed on Nov 21, 2014 at 3:56:19 PM by arturkohut

  • Description modified (diff)

comment:2 follow-up: Changed on Nov 22, 2014 at 1:17:37 PM by dkocher

  • Resolution set to worksforme
  • Status changed from new to closed

Choose Connect from the connection prompt to connect using Cyberduck instead of the web browser that is not aware of the Google Cloud Storage protocol.

comment:3 in reply to: ↑ 2 Changed on Nov 22, 2014 at 3:28:43 PM by arturkohut

Replying to dkocher:

Choose Connect from the connection prompt to connect using Cyberduck instead of the web browser that is not aware of the Google Cloud Storage protocol.

But how I can connect if oauth doesnt work? I haven't "autorization code" and when I click on link above input for get this code, I getting error (second-step.png). If I press "Connect" without autorization code I also getting error "empty key".

Where I can get "autorization code" for creating new connection, if clicking on link above this input thowing error (second-step.png)?

Last edited on Nov 22, 2014 at 3:30:40 PM by arturkohut (previous) (diff)

comment:4 Changed on Nov 22, 2014 at 3:33:09 PM by arturkohut

  • Resolution worksforme deleted
  • Status changed from closed to reopened

comment:5 Changed on Nov 23, 2014 at 7:48:14 PM by dkocher

  • Milestone set to 4.7
  • Status changed from reopened to new

comment:6 Changed on Nov 25, 2014 at 3:38:20 PM by dkocher

  • Milestone changed from 4.7 to 4.6.1
  • Status changed from new to assigned

comment:7 follow-up: Changed on Nov 25, 2014 at 4:08:37 PM by dkocher

  • Resolution set to worksforme
  • Status changed from assigned to closed

You will only need the x-goog-project-id for the initial connection attempt. Leave the Authorization Code blank until prompted in the next dialog with a title OAuth2 Authentication and the URL to obtain the Authorization Code.

comment:8 in reply to: ↑ 7 Changed on Nov 25, 2014 at 6:57:54 PM by arturkohut

Replying to dkocher:

You will only need the x-goog-project-id for the initial connection attempt. Leave the Authorization Code blank until prompted in the next dialog with a title OAuth2 Authentication and the URL to obtain the Authorization Code.

If I leave "Authorization Code" blank, I will get Error Listing directory index "Empty key".

Please, watch this video http://youtu.be/USc58QU-GMs and tell me, what I am doing not right?

Last edited on Nov 25, 2014 at 7:00:17 PM by arturkohut (previous) (diff)

comment:9 Changed on Nov 25, 2014 at 6:58:26 PM by arturkohut

  • Resolution worksforme deleted
  • Status changed from closed to reopened

comment:10 Changed on Nov 25, 2014 at 9:11:22 PM by dkocher

  • Priority changed from normal to high
  • Status changed from reopened to new

Please workaround this issue by entering the Project Number assigned to your project in the [console.developers.google.com Developers Console]. Google has changed the nomenclature and we will have to update our documentation and/or authentication implementation.

Version 0, edited on Nov 25, 2014 at 9:11:22 PM by dkocher (next)

comment:11 Changed on Nov 25, 2014 at 9:45:33 PM by dkocher

  • Resolution set to fixed
  • Status changed from new to closed

In r15847.

comment:12 Changed on Nov 25, 2014 at 9:54:30 PM by dkocher

  • Summary changed from Cannot add Google Cloud Storage profile to Empty key error message when using no numerical project id

comment:13 Changed on Nov 25, 2014 at 9:54:45 PM by dkocher

Updated username placeholder in r15848.

Note: See TracTickets for help on using tickets.
swiss made software